<div style="padding:10px;">
<h1><?=$plugin->getDisplayTitle()?></h1>
<form action="<?php echo $controller->url_for('copy/index/'.$destination_id)?>" method="post">
<h2><?php echo _("Ziel:") . '&nbsp;' . htmlready($destination_name)?>
<?php if($destination_id):?>
	<a title="<?php echo _("Zur Zielveranstaltung springen")?>" href="<?php echo UrlHelper::getLink('seminar_main.php', array('cid' => $destination_id))?>">
	<?php echo Assets::img('link_intern.gif')?>
	</a>
<?php endif?>
</h2>
<?php

/*
<?php if($show_destination_result):?>
	<label style="padding-right:10px;width:100px;display:block;float:left;" for="search_destination_result">
	<?php echo _("Ziel whlen:")?>
	</label>
	<select name="search_destination_result" id="search_destination_result" >
	<?php foreach($result as $s_id => $data):?>
		<option value="<?php echo $s_id?>" <?php echo $destination_id == $s_id ? 'selected' : ''?>>
		<?php echo htmlready($data['name'])?>
		</option>
	<?php endforeach?>
	</select>
	<?php if($is_admin):?>
		<input type="image" src="<?php echo Assets::image_path('rewind.gif')?>" name="do_search_cancel">
	<?php endif?>
	<?php echo makeButton('auswaehlen', 'input', '','do_choose_destination')?>
<?php else:?>
	<label style="padding-right:10px;width:100px;display:block;float:left;" for="search_destination">
	<?php echo _("Ziel suchen:")?>
	</label>
	<input type="text" id="search_destination" name="search_destination" size="40">
	<input style="vertical-align:middle;" type="image" src="<?php echo Assets::image_path('suchen.gif')?>" name="do_search_destination">
<?php endif?>

*/
?>
<h2><?php echo _("Quelle:"). '&nbsp;' . htmlready($source_name)?>
<?php if($source_id):?>
	<a title="<?php echo _("Zur Quellveranstaltung springen")?>" href="<?php echo UrlHelper::getLink('seminar_main.php', array('cid' => $source_id))?>">
	<?php echo Assets::img('link_intern.gif')?>
	</a>
<?php endif?>
</h2>
<?php if($show_source_result):?>
	<label style="padding-right:10px;width:100px;display:block;float:left;" for="search_source_result">
	<?php echo _("Quelle whlen:")?>
	</label>
	<select name="search_source_result" id="search_source_result" >
	<?php foreach($result as $s_id => $data):?>
		<option value="<?php echo $s_id?>" <?php echo $source_id == $s_id ? 'selected' : ''?>>
		<?php echo htmlready($data['name'])?>
		</option>
	<?php endforeach?>
	</select>
	<?php if($is_admin):?>
		<input type="image" src="<?php echo Assets::image_path('rewind.gif')?>" name="do_search_cancel">
	<?php endif?>
	<?php echo makeButton('auswaehlen', 'input', '','do_choose_source')?>

<?php else:?>
	<label style="padding-right:10px;width:100px;display:block;float:left;" for="search_destination">
	<?php echo _("Quelle suchen:")?>
	</label>
	<input type="text" id="search_source" name="search_source" size="40">
	<input style="vertical-align:middle;" type="image" src="<?php echo Assets::image_path('suchen.gif')?>" name="do_search_source">
<?php endif?>
</form>
<?php if($source_id && $destination_id):?>
	<form action="<?php echo $controller->url_for('copy/index/'.$destination_id)?>" method="post">
	<hr></hr>
	<h1><?php echo _("Auswahl der zu kopierenden Inhalte")?></h1>
	<h2><?php echo _("Freie Informationsseite");?></h2>
	<?php if(is_null($scm_content)):?>
		<div>
		<?php echo _("Die freie Informationsseite der Quellveranstaltung enthlt keine Daten oder ist deaktiviert.")?>
		</div>
	<?php else:?>
		<div>	
		<?php echo _("Whlen Sie aus, welche Kapitel der freien Informationsseite Sie kopieren mchten:")?>
		</div>
		<div style="border: 1px solid; width:50%;padding: 5px;margin-top:5px;">
		<?php foreach($scm_content as $chapter):?>
			<div>
			<input type="checkbox" name="<?php echo "scm_to_copy[{$chapter['scm_id']}]"?>" id="<?php echo htmlready($chapter['scm_id'])?>" value="1"></input>
			<label for="<?php echo htmlready($chapter['scm_id'])?>"><?php echo htmlready($chapter['tab_name'])?></label>
			</div>
		<?php endforeach?>
		</div>
	<?php endif?>
	<div style="width:50%;padding: 5px;text-align:center">
	<?php echo makeButton('kopieren', 'input', _("ausgewhlte Inhalte kopieren"), 'do_copy')?>
	&nbsp;
	<?php echo makeButton('abbrechen', 'input', _("Auswahl zurcksetzen"), 'do_cancel')?>
	</div>
	<h2><?php echo _("Dokumente")?></h2>
	<?php if(is_null($documents_content)):?>
		<div>
		<?php echo _("Der Dateibereich der Quellveranstaltung enthlt keine Ordner oder ist deaktiviert.")?>
		</div>
	<?php else:?>
		<div>
		<?php echo _("Sie knnen fr jeden Ordner auswhlen, ob er auf die oberste Ebene oder als Unterordner des Allgemeinen Dateiordners kopiert werden soll.")?>
		<br>
		<?php echo _("Beachten Sie, dass nur Dateien, die nicht von Studierenden eingestellt wurden, aus diesem Ordner kopiert werden.")?>
		<br>
		<?php echo _("Wenn Sie die Option &quot;Namen beibehalten&quot; deaktivieren, wird dem alten Namen ein &quot;Kopie von&quot; hinzugefgt.")?>
		<br>
		<?php echo _("Whlen Sie aus, welche Ordner Sie kopieren mchten:")?>
		</div>
		<div style="border: 1px solid; width:50%;padding: 5px;margin-top:5px;">
		<table border="0" cellpadding="2" width="100%">
		<caption></caption>
		<tbody>
		<tr>
		<th><?php echo _("Ordnername")?></th>
		<th><?php echo _("Aktion")?></th>
		<th><?php echo _("Namen beibehalten?")?></th>
		</tr>
		<?php foreach($documents_content as $folder_id => $folder_name):?>
			<tr>
			<td><?php echo htmlready($folder_name)?></td>
			<td>
			<select name="<?php echo "folder_copy_action[$folder_id]"?>">
			<option value="0"><?php echo _("nicht kopieren")?></option>
			<option value="top_level" selected><?php echo _("auf oberste Ebene kopieren")?></option>
			<option value="general_folder"><?php echo _("in den Allgemeinen Ordner kopieren")?></option>
			</select>
			</td>
			<td align="center"><input type="checkbox" checked name="<?php echo "folder_copy_name[$folder_id]"?>" value="1"></input></td>
			
			</tr>	
		<?php endforeach?>
		</tbody>
		</table>
		</div>
	<?php endif?>
	<div style="width:50%;padding: 5px;text-align:center">
	<?php echo makeButton('kopieren', 'input', _("ausgewhlte Inhalte kopieren"), 'do_copy')?>
	&nbsp;
	<?php echo makeButton('abbrechen', 'input', _("Auswahl zurcksetzen"), 'do_cancel')?>
	</div>
	</form>
<?php endif?>
</div>
